=== debian/changelog ===
knewstuff (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:58:27 +0000

knewstuff (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:59 +0000

knewstuff (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:22:12 +0000

knewstuff (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:06:46 -0600

knewstuff (5.40.0-0ubuntu1) bionic; urgency=medium

  * Add lintian override for not executable script
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:17:08 +0000

knewstuff (5.39.0-0ubuntu1) UNRELEASED; urgency=medium

  * Update QML module runtime dependency to kirigami2
  * New upstream release (5.39.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 08 Oct 2017 12:28:01 +0000
